#ifndef ALES_WINDOW_H
#define ALES_WINDOW_H

#include <Window.h>
#include "GraphicView.h"

class AlesWindow : public BWindow
{
public :
	AlesWindow(BRect frame, const char *name,
		window_look look, window_feel feel, uint32 flags,
		entry_ref directory);
	~AlesWindow();
	void MessageReceived(BMessage *message);
	void FullScreen();	
private :
	status_t RestoreState();
	status_t SaveState();
	GraphicView *fView;
	BRect fNormalFrame;
};

#endif //ALES_WINDOW_H
